Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.qmap
Class QMapPropertyAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QPropertyAccess
                  |
                  +--com.jxml.quick.qmap.QMapPropertyAccess

public class QMapPropertyAccess
extends QPropertyAccess

Fields inherited from class com.jxml.quick.access.QPropertyAccess
`pd, property`

Constructor Summary
`QMapPropertyAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`QIterator` | `createIterator()`
`protected Map` | `getMap(QTargetFactory parentFactory, Object parent, QContext context)`
`protected Map` | `getNonNullMap(QTargetFactory parentFactory, Object parent, QContext context)`
`boolean` | `readable(QTargetFactory parentFactory, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`protected boolean` | `validProperty(PropertyDescriptor pd)`
`boolean` | `writeable(QTargetFactory parentFactory, QContext context)`

Methods inherited from class com.jxml.quick.access.QPropertyAccess
`get, setPD`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QMapPropertyAccess

    public QMapPropertyAccess()

Method Detail

### readable

    public boolean readable(QTargetFactory parentFactory,
                            QContext context)
                     throws QPE

  Overrides:
    `readable` in class `QPropertyAccess`

### validProperty

    protected boolean validProperty(PropertyDescriptor pd)

  Overrides:
    `validProperty` in class `QPropertyAccess`

### createIterator

    public final QIterator createIterator()

  Overrides:
    `createIterator` in class `QPropertyAccess`

### getMap

    protected Map getMap(QTargetFactory parentFactory,
                         Object parent,
                         QContext context)
                  throws QPE

### getNonNullMap

    protected Map getNonNullMap(QTargetFactory parentFactory,
                                Object parent,
                                QContext context)
                         throws QPE

### setIteratorParent

    public final void setIteratorParent(QIterator it,
                                        Object parent,
                                        QTargetFactory parentFactory,
                                        QContext context)
                                 throws QPE

  Overrides:
    `setIteratorParent` in class `QPropertyAccess`

### writeable

    public boolean writeable(QTargetFactory parentFactory,
                             QContext context)
                      throws QPE

  Overrides:
    `writeable` in class `QPropertyAccess`

### add

    public final void add(Object parent,
                          QTargetFactory parentFactory,
                          Object child,
                          QContext context)
                   throws QPE

  Overrides:
    `add` in class `QPropertyAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD